Index: palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4498)
@@ -3240,53 +3085,7 @@
                     i = MERGE( i           , nxr, i            < nxr )
 
-                    DO  mm = surf_def_h(0)%start_index(j,i),                   &
-                             surf_def_h(0)%end_index(j,i)
-                       vmea(l)%measured_vars(m,n) = surf_def_h(0)%pt_surface(mm)
-                    ENDDO
-                    DO  mm = surf_lsm_h%start_index(j,i),                      &
-                             surf_lsm_h%end_index(j,i)
-                       vmea(l)%measured_vars(m,n) = surf_lsm_h%pt_surface(mm)
-                    ENDDO
-                    DO  mm = surf_usm_h%start_index(j,i),                      &
-                             surf_usm_h%end_index(j,i)
-                       vmea(l)%measured_vars(m,n) = surf_usm_h%pt_surface(mm)
-                    ENDDO
-                 ENDDO
-
-              CASE ( 'lwp' ) ! liquid water path
-                 IF ( ASSOCIATED( ql ) )  THEN
-                    DO  m = 1, vmea(l)%ns
-                       j = vmea(l)%j(m)
-                       i = vmea(l)%i(m)
-
-                       vmea(l)%measured_vars(m,n) = SUM( ql(nzb:nzt,j,i)       &
-                                                       * dzw(1:nzt+1) )        &
-                                                  * rho_surface
-                    ENDDO
-                 ENDIF
-
-              CASE ( 'ps' ) ! surface pressure
-                 vmea(l)%measured_vars(:,n) = surface_pressure
-
-              CASE ( 'pswrtg' ) ! platform speed above ground
-                 vmea(l)%measured_vars(:,n) = 0.0_wp
-
-              CASE ( 'pswrta' ) ! platform speed in air
-                 vmea(l)%measured_vars(:,n) = 0.0_wp
-
-              CASE ( 't_lw' ) ! water temperature
-                 DO  m = 1, vmea(l)%ns
-!
-!--                 Surface data is only available on inner subdomains, not
-!--                 on ghost points. Hence, limit the indices.
-                    j = MERGE( vmea(l)%j(m), nys, vmea(l)%j(m) > nys )
-                    j = MERGE( j           , nyn, j            < nyn )
-                    i = MERGE( vmea(l)%i(m), nxl, vmea(l)%i(m) > nxl )
-                    i = MERGE( i           , nxr, i            < nxr )
-
-                    DO  mm = surf_lsm_h%start_index(j,i),                      &
-                             surf_lsm_h%end_index(j,i)
-                       IF ( surf_lsm_h%water_surface(m) )                      &
-                          vmea(l)%measured_vars(m,n) = t_soil_h%var_2d(nzt,m)
+                    DO  mm = surf_lsm_h%start_index(j,i), surf_lsm_h%end_index(j,i)
+                       IF ( surf_lsm_h%water_surface(m) )                                          &
+                            vmea(l)%measured_vars(m,n) = t_soil_h%var_2d(nzt,m)
                     ENDDO
 
@@ -3307,5 +3106,5 @@
      CALL cpu_log( log_point_s(27), 'VM sampling', 'stop' )
 
-  END SUBROUTINE vm_sampling
+ END SUBROUTINE vm_sampling
 
 
